メインコンテンツへスキップ
GET
/
api
/
v1
/
organizations
/
{organizationId}
/
devices
/
{deviceId}
/
histories
Get all device's history entries
curl --request GET \
  --url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices/{deviceId}/histories \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices/{deviceId}/histories"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices/{deviceId}/histories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "id": 123,
      "deviceId": 321,
      "createdAt": "2017-07-21T17:32:28Z",
      "changes": {
        "people": {
          "id": 1,
          "identityId": "I3N5HB4B3G",
          "primaryEmail": "foo@gmail.com",
          "displayName": "Yamaha Honda",
          "avatar": "avatar_url",
          "username": "foo",
          "type": "employee",
          "status": "suspended",
          "managementType": "managed",
          "employeeType": "full_time_employee",
          "employeeStatus": "active",
          "suspendedAt": "2021-07-13T19:15:40.000Z",
          "createdAt": "2021-07-13T19:15:40.000Z",
          "accounts": [
            {
              "id": "1#foo",
              "serviceId": 42,
              "serviceUniqueName": "github",
              "serviceName": "GitHub",
              "workspaceName": "mfi",
              "accountKey": "foo@mfi.com",
              "serviceIsCustom": false
            }
          ],
          "mergedPeople": [
            {
              "id": 1,
              "displayName": "Ron Lee",
              "username": "ron.lee",
              "primaryEmail": null
            }
          ]
        },
        "status": "decommissioned",
        "location1": "Tokyo",
        "location2": "msb",
        "assignmentStartDate": "2021-01-01",
        "assignmentEndDate": "2022-01-02",
        "comment": "Assigned to new employee"
      },
      "comment": "Assigned to new employee"
    }
  ]
}

承認

Authorization
string
header
必須

For authenticated requests, set the Authorization: Bearer your_api_key parameter in the header.
You can create and manage your API Keys by visiting the API Keys tab in the Settings page of your organization in Admina

パスパラメータ

organizationId
number
必須
deviceId
number
必須

レスポンス

items
object[]
必須

List of device history entries

最終更新日 2026年7月14日